Bug 1418267 - UPGRADE WARNING from squid "url rewriter responded with garbage"
Summary: UPGRADE WARNING from squid "url rewriter responded with garbage"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: squidGuard
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 12:20 UTC by Urs Breinlinger
Modified: 2017-05-05 23:52 UTC (History)
2 users (show)

Fixed In Version: squidGuard-1.4-28.fc26 squidGuard-1.4-28.fc24 squidGuard-1.4-28.fc25 squidGuard-1.4-28.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-25 21:34:56 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1231245 0 unspecified CLOSED UPGRADE WARNING from squid "url rewriter responded with garbage" 2021-02-22 00:41:40 UTC

Description Urs Breinlinger 2017-02-01 12:20:49 UTC
Description of problem:
https://bugzilla.redhat.com/show_bug.cgi?id=1231245
This bug also applies to squidGuard found in Fedora EPEL 7

squidGuard produces an upgrade warning from squid:

kid1| UPGRADE WARNING: URL rewriter reponded with garbage ' - GET'. Future Squid will treat this as part of the URL.

A bugreport was opened with squid but the issue is in squidguard:

http://bugs.squid-cache.org/show_bug.cgi?id=3978

The bugreport above includes patches for 1.4 and 1.5beta.

I applied the patch for 1.4 locally and it seems to work ok.

Version-Release number of selected component (if applicable):
squidGuard.x86_64                 1.4-26.el7               @w_fedora-epel_7_x86_64
squid.x86_64                      7:3.5.20-2.el7           @rhel-7-server-rpms

Comment 1 Fedora Update System 2017-04-19 22:37:08 UTC
squidGuard-1.4-28.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ba67b0fa0

Comment 2 Fedora Update System 2017-04-19 22:37:26 UTC
squidGuard-1.4-28.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cacf8847a

Comment 3 Fedora Update System 2017-04-19 22:37:39 UTC
squidGuard-1.4-28.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-506365da3e

Comment 4 Fedora Update System 2017-04-19 22:37:51 UTC
squidGuard-1.4-28.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dbda9f6caf

Comment 5 Fedora Update System 2017-04-20 17:47:26 UTC
squidGuard-1.4-28.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-dbda9f6caf

Comment 6 Fedora Update System 2017-04-20 18:21:51 UTC
squidGuard-1.4-28.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ba67b0fa0

Comment 7 Fedora Update System 2017-04-20 18:25:38 UTC
squidGuard-1.4-28.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2cacf8847a

Comment 8 Fedora Update System 2017-04-20 20:24:06 UTC
squidGuard-1.4-28.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-506365da3e

Comment 9 Fedora Update System 2017-04-25 21:34:56 UTC
squidGuard-1.4-28.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-04-29 01:17:48 UTC
squidGuard-1.4-28.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-29 01:49:44 UTC
squidGuard-1.4-28.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-05 23:52:40 UTC
squidGuard-1.4-28.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.